#ifndef ExecuteDiagService_H
#define ExecuteDiagService_H

#include <Command.h>

#include "DParameter.h"
namespace ProtoGenWrapper
{
	class DiagService;

	class ExecuteDiagService : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		ExecuteDiagService(const DiagService& diagService, bool suppressPositiveResponse, const DParameterList& requestParameters, const DParameterList& responseParameters);
		ExecuteDiagService(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(DiagService& diagService, bool& suppressPositiveResponse, DParameterList& requestParameters, DParameterList& responseParameters) const;

		static int GetCommandType();
	};
}
#endif // ExecuteDiagService_H
